
local C = require("classic")
local M = require("menu")

function menu_item_exists(id)
   for k,v in ipairs(kts.MENU.items) do
      if v.id == id then
         return true
      end
   end
   return false
end

function add_menu_item_after(item_id, old_id)
   if menu_item_exists(old_id) then
      local pos
      for k,v in ipairs(kts.MENU.items) do
         if v.id == old_id then
            pos = k
            break
         end
      end
      table.insert(kts.MENU.items, pos+1, item_id) -- Add after the specified choice
   else
      table.insert(kts.MENU.items, item_id)  -- Add it at the end.
   end
end


-- Menu item for spiders

-- M.add_menu_item("spacer")

spiders_item = { 
   id = "spiders",
   text = "Spiders",
   choice_min = 0,
   choice_max = 5,
   features = function(S)
   -- Add Spiders in the dungeon initially
      local num_spiders = 0
      if S.spiders > 0 then
         num_spiders = 2 * S.spiders + 1
      end
      C.add_initial_monsters(m_spider, num_spiders)

   -- The total number of spiders is limited
      C.add_monster_limit(m_spider, 3 * S.spiders)
   end
}

add_menu_item_after(spiders_item, "bats")
