
local C = require("classic")


-- Graphics

g_spid1n = kts.Graphic("gfx/spid1n.bmp", 255,255,0)
g_spid1e = kts.Graphic("gfx/spid1e.bmp", 255,255,0)
g_spid1s = kts.Graphic("gfx/spid1s.bmp", 255,255,0)
g_spid1w = kts.Graphic("gfx/spid1w.bmp", 255,255,0)
g_spid2n = kts.Graphic("gfx/spid2n.bmp", 255,255,0)
g_spid2e = kts.Graphic("gfx/spid2e.bmp", 255,255,0)
g_spid2s = kts.Graphic("gfx/spid2s.bmp", 255,255,0)
g_spid2w = kts.Graphic("gfx/spid2w.bmp", 255,255,0)
g_spid3n = kts.Graphic("gfx/spid3n.bmp", 255,255,0, 0,16)
g_spid3e = kts.Graphic("gfx/spid3e.bmp", 255,255,0)
g_spid3s = kts.Graphic("gfx/spid3s.bmp", 255,255,0)
g_spid3w = kts.Graphic("gfx/spid3w.bmp", 255,255,0, 16,0)
g_spid4n = kts.Graphic("gfx/spid4n.bmp", 255,255,0)
g_spid4e = kts.Graphic("gfx/spid4e.bmp", 255,255,0)
g_spid4s = kts.Graphic("gfx/spid4s.bmp", 255,255,0)
g_spid4w = kts.Graphic("gfx/spid4w.bmp", 255,255,0)

g_dead_spider = kts.Graphic("gfx/dead_spider.bmp", 255,255,0)

-- Animation

a_spider = kts.Anim {
    g_spid1n, g_spid1e, g_spid1s, g_spid1w,  -- Normal
    g_spid2n, g_spid2e, g_spid2s, g_spid2w,  -- Melee backswing
    g_spid3n, g_spid3e, g_spid3s, g_spid3w,  -- Melee downswing
    g_spid4n, g_spid4e, g_spid4s, g_spid4w   -- Just Hit.
}

--- Tiles

t_dead_spider = kts.Tile(C.floor & { graphic=g_dead_spider, depth = -1 })

--- Sounds

--s_spider = kts.Sound("snd/spider.wav") --Todo

function snd_spider() 
   --kts.PlaySound(cxt.pos, s_spider, 15000) --Todo
end

---- Weapon and Monster Type

spider_weapon = kts.ItemType {
   -- Something beetween sword and axe;
   -- Barely any tile damage.
   type = "held",
   melee_backswing_time = 2*C.ts,
   melee_downswing_time = 3*C.ts,
   melee_damage         = C.rng_range(1,2),
   melee_stun_time      = C.rng_time_range(3,5),
   melee_tile_damage    = 1
}

m_spider = kts.MonsterType {
   type = "walking",

   -- general properties:
   health = C.rng_range(1, 4),    -- somewhere beetween zombies and bats
   speed = 76,                  -- faster than zombies, but slower than bats
   anim = a_spider,
   corpse_tiles = { t_dead_spider },
   sound = snd_spider, -- No actual sound yet

   -- properties specific to walking monsters:
   weapon = spider_weapon,

   -- list of tiles that spiders don't want to walk onto:
   ai_avoid = C.all_open_pit_tiles,
}

----


